# Create or update a note on a work order **PUT /eTech/rest/ws/diagnostic/v1/workOrders/code:{workOrderCode}/notes/code:{noteCode}** Creates a note on the work order if no note with `noteCode` exists yet, else updates the existing note's content / coordinates. Supports standard and custom notes. For custom notes tech visibility is always false. Rate limit range : Low ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **workOrderCode** (string) Business code of the work order. Case insensitive. - **noteCode** (string) Business code of the note provided by tierce app. ### Body: application/json (object) - **noteTypeCode** (string) Code of the note type, as configured in Praxedo. Represent category of the note (standard note or call note or custom note). - **author** (string) Identifier of the author of the note (name, system...). - **date** (string(date-time)) ISO 8601 timestamp of the note. Must not be in the future. - **coordinates** (string) Phone number of the caller. Required when the note type's category is `INCOMING_CALL` or `OUTGOING_CALL`. Optional for category `NOTE`. - **content** (object) Content of the note. Exactly one of `text` or `reportFields` must be supplied, depending on whether the note type has an associated form: `text` for note types without a form, `reportFields` for note types with a form. - **visibility** (object) Determines who can see the note. If omitted entirely, visibility defaults are inherited from the note type configuration. If supplied, it fully overrides those defaults (no partial merge). ## Responses ### 201 Note created. ### 204 Note updated. ### 400 Bad Request - validation errors. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)